<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Arrayer i PHP</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
</head>
<body class="container">
    <h1 class="text-primary border-bottom border-primary">Arrayer i PHP</h1>

    <?php

        // Skapa en array
        $cars = array("Volvo" , "Saab" , "BMW");
        // Index         0         1       2

        // Skriv ut element
        echo $cars[0] . "<br>";
        echo $cars[1] . "<br>";
        echo $cars[2] . "<br>";
        echo $cars[3] . "<br>"; // OBS! Undefined offset: 3

        // Skriv ut element inne i en sträng
        echo "<h2>Jag tycker om $cars[0]</h2>";


        // Skriv ut hela arrayen
        echo $cars; 
        // OBS! Array to string conversion Error
        echo "<hr>";

        // Använd funktionen print_r för att skriva ut en array
        echo "<pre>";
        print_r($cars);
        echo "</pre>";



        // Skapa en multidimensionell array
        $cars_stats = array(
            array("Volvo" , 10 , 20),
            array("Sabb"  , 0  , 5),
            array("BMW"   , 5  , 10)
        );
        echo "<h2>Multidimensionell array</h2>";
        echo "<pre>";
        print_r($cars_stats);
        echo "</pre>";

        echo "<hr>";
        echo "<h3>". $cars_stats[0][0] ."</h3>";
        echo "<h3>In stock: ". $cars_stats[0][1] ."</h3>";
        echo "<h3>Sold: ". $cars_stats[0][2] ."</h3>";

        // Skriv ut info om alla bilar
        echo "<hr>";
        echo "<h3>". $cars_stats[1][0] ."</h3>";
        echo "<h3>In stock: ". $cars_stats[1][1] ."</h3>";
        echo "<h3>Sold: ". $cars_stats[1][2] ."</h3>";  
        
        echo "<hr>";
        echo "<h3>". $cars_stats[2][0] ."</h3>";
        echo "<h3>In stock: ". $cars_stats[2][1] ."</h3>";
        echo "<h3>Sold: ". $cars_stats[2][2] ."</h3>";

        echo "<hr>";


        // Arbeta med asscociativa arrayer
        echo "<h2>Associativa arrayer</h2>";

        $age = array(
            "Peter"  => 35, 
            "Mahmud" => 50,
            "Kalle"  => 10
        );
        echo "<h3>Peter är $age[Peter] år gammal</h3>";
        echo "<h3>Mahmud är $age[Mahmud] år gammal</h3>";
        echo "<h3>Kalle är $age[Kalle] år gammal</h3>";
        echo "<hr>";

        // Övning
        // Skriv om som associativ array
        $cars_stats = array(
            
            array(
                "model" => "Volvo" , 
                "in_stock" => 10 ,
                "sold" => 20
            ),
            array(
                "model" => "Sabb" , 
                "in_stock" => 0 ,
                "sold" => 5
            ),
        
            array(
                "model" => "BMW" , 
                "in_stock" => 5 ,
                "sold" => 10
            )
        
        );

        echo "<h3>".$cars_stats[0]["model"]."</h3>";
        echo "<h4>In Stock: " .
         $cars_stats[0]["in_stock"] . "</h4>";
        echo "<h4>Sold: " .
         $cars_stats[0]["sold"] . "</h4>";
        echo "<hr>";

        echo "<h3>".$cars_stats[1]["model"]."</h3>";
        echo "<h4>In Stock: " .
         $cars_stats[1]["in_stock"] . "</h4>";
        echo "<h4>Sold: " .
         $cars_stats[1]["sold"] . "</h4>";
        echo "<hr>";

        echo "<h3>".$cars_stats[2]["model"]."</h3>";
        echo "<h4>In Stock: " .
         $cars_stats[2]["in_stock"] . "</h4>";
        echo "<h4>Sold: " .
         $cars_stats[2]["sold"] . "</h4>";
        echo "<hr>";



         echo "<pre>";
         print_r($cars_stats);
         echo "</pre>";


    ?>


<br><br><br>
<br><br><br>
<br><br><br>
<br><br><br>
<br><br><br>
<br><br><br>
    
</body>
</html>