<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
</head>
<body class="container">
    <h1 class="text-primary border-bottom border-primary">Loopar (iterationer) i PHP</h1>

    <?php

        $colors = array("Red", "Green" , "Blue", "Tomato");

        echo "<ul>";

        foreach($colors as $color){
            echo "<li style='color:$color'>";
            echo $color ;
            echo "</li>";
        }

        echo "</ul>";


        // Övning
        // Visa en lista över alla bilar
        $cars = array("Volvo" , "Saab" , "BMW");
        
        echo "<h2>Cars in stock</h2>";
        echo "<ol>";

        foreach($cars as $car){
            echo "<li>$car</li>";
        }

        echo "</ol>";
        

        // Skriv ut en tabell över alla bilar 
        // Använd foreach
        $cars_stats = array(
            array("Volvo" , 10 , 20, "https://picsum.photos/100"),
            array("Sabb"  , 0  , 5,  "https://picsum.photos/101"),
            array("BMW"   , 5  , 10, "https://picsum.photos/102")
        );

        echo "<table class='table'>
        <tr class='table-dark text-light'>
            <th>Model</th>
            <th>In Stock</th>
            <th>Sold</th>
            <th>Image</th>
        </tr>
        ";
        foreach($cars_stats as $car){
            echo "<tr>";
            echo "<td>$car[0]</td>";
            echo "<td>$car[1]</td>";
            echo "<td>$car[2]</td>";
            echo "<td><img src='$car[3]' alt='Dummy Image'></td>";
            echo "</tr>";

        }
        echo "</table>";

    ?>  


    
</body>
</html>